<?php
if(!empty($_SESSION["sepet"]))
{
	?>
	<li>
		<?php
		if($_POST)
		{
			if(!empty($_POST["adet"]))
			{
				$toplamNesneAdeti=count($_POST["adet"]);
				$adetsayaci=0;
				foreach ($_SESSION["sepet"] as $urunID => $bilgi) {
					$urunbilgisi=$VT->VeriGetir("urunler","WHERE durum=? AND ID=?",array(1,$urunID),"ORDER BY ID ASC",1);
					if($urunbilgisi!=false)
					{ 
					 
					}
				} 
			}
		}
		?>
		<!-- /page_header -->
		<?php
		$sepetkdvharictutar=0;
		$sepetkdvtutar18=0;
		$sepetkdvtutar8=0;
		$sepetkdvtutar6=0;
		$sepetkdvtutar1=0;
		$sepetTutar=0;

		?>

		<div class="dropdown dropdown-cart">
			<form action="#" method="post">
				 
					<a href="<?=SITE?>sepet" class="cart_bt"><!--<strong>x</strong>--></a>

				<div class="dropdown-menu">

					<ul> 
						<?php

						foreach ($_SESSION["sepet"] as $urunID => $bilgi) {
							$urunbilgisi=$VT->VeriGetir("urunler","WHERE durum=? AND ID=?",array(1,$urunID),"ORDER BY ID ASC",1);
							if($urunbilgisi!=false)
							{

								if($bilgi["varyasyondurumu"]!=false)
								{
									if(!empty($_SESSION["sepetVaryasyon"]))
									{
										foreach ($_SESSION["sepetVaryasyon"][$urunbilgisi[0]["ID"]] as $secenekID => $secenekAdet) {

											$stokTablo=$VT->VeriGetir("urunvaryasyonstoklari","WHERE ID=? AND urunID=?",array($secenekID,$urunbilgisi[0]["ID"]),"ORDER BY ID ASC",1);
											if($stokTablo!=false)
											{
												$varyasyonOzellikleri="";
												$varyasyonID=$stokTablo[0]["varyasyonID"];
												$secimID=$stokTablo[0]["secenekID"];

												if(strpos($varyasyonID,"@")!=false)
												{
													/*Eğer 1den fazla varyasyon var ise*/

													$varyasyondizi=explode("@", $varyasyonID);
													$secenekdizi=explode("@", $secimID);
													for($i=0;$i<count($varyasyondizi);$i++)
													{
														$varyasyonBilgisi=$VT->VeriGetir("urunvaryasyonlari","WHERE ID=?",array($varyasyondizi[$i]),"ORDER BY ID ASC",1);
														$secenekBilgisi=$VT->VeriGetir("urunvaryasyonsecenekleri","WHERE ID=?",array($secenekdizi[$i]),"ORDER BY ID ASC",1);
														if($varyasyonBilgisi!=false && $secenekBilgisi!=false)
														{
															$varyasyonOzellikleri.=stripslashes($secenekBilgisi[0]["baslik"])." ".$varyasyonBilgisi[0]["baslik"]." ";
															/* Mavi Renk Small Beden*/
														}
													}
												}
												else
												{
													/*Eğer 1 adet varyasyon var ise*/
													$varyasyonBilgisi=$VT->VeriGetir("urunvaryasyonlari","WHERE ID=?",array($varyasyonID),"ORDER BY ID ASC",1);
													$secenekBilgisi=$VT->VeriGetir("urunvaryasyonsecenekleri","WHERE ID=?",array($secimID),"ORDER BY ID ASC",1);
													if($varyasyonBilgisi!=false && $secenekBilgisi!=false)
													{
														$varyasyonOzellikleri=stripslashes($secenekBilgisi[0]["baslik"])." ".$varyasyonBilgisi[0]["baslik"];
													}
												}

												?>

												<li>
													<a href="<?=SITE?>urun/<?=$urunbilgisi[0]["seflink"]?>">
														<figure><img src="<?=SITE?>images/urunler/<?=$urunbilgisi[0]["resim"]?>" data-src="<?=SITE?>images/urunler/<?=$urunbilgisi[0]["resim"]?>" width="50" height="50" class="lazy"></figure>
														<strong>
															<span><?=stripslashes($urunbilgisi[0]["baslik"])?></span>
															<?php
															if(!empty($urunbilgisi[0]["indirimlifiyat"]))
															{
																$fiyat=$urunbilgisi[0]["indirimlifiyat"].".".$urunbilgisi[0]["indirimlikurus"];
																if($urunbilgisi[0]["kdvdurum"]==1)
																{
																	if($urunbilgisi[0]["kdvoran"]>9)
																	{
																		$oran="1.".$urunbilgisi[0]["kdvoran"];
																	}
																	else
																	{
																		$oran="1.0".$urunbilgisi[0]["kdvoran"];
																	}
																	$kdvsizBirimfiyat=($fiyat/$oran);/*kdvsiz hali*/
																}
																else
																{
																	$kdvsizBirimfiyat=$fiyat;
																}
															}
															else
															{
																$fiyat=$urunbilgisi[0]["fiyat"].".".$urunbilgisi[0]["kurus"];
																if($urunbilgisi[0]["kdvdurum"]==1)
																{
																	if($urunbilgisi[0]["kdvoran"]>9)
																	{
																		$oran="1.".$urunbilgisi[0]["kdvoran"];
																	}
																	else
																	{
																		$oran="1.0".$urunbilgisi[0]["kdvoran"];
																	}
																	$kdvsizBirimfiyat=($fiyat/$oran);/*kdvsiz hali*/
																}
																else
																{
																	$kdvsizBirimfiyat=$fiyat;
																}
															}

															echo number_format($kdvsizBirimfiyat,2,",",".")." TL";
															?></strong>

															<strong>
																<?php
																$toplamtutar=($fiyat*$secenekAdet["adet"]);
																if($urunbilgisi[0]["kdvdurum"]==1)
																{
																	if($urunbilgisi[0]["kdvoran"]>9)
																	{
																		$oran="1.".$urunbilgisi[0]["kdvoran"];
																	}
																	else
																	{
																		$oran="1.0".$urunbilgisi[0]["kdvoran"];
																	}
																	$kdvsizToplamTutar=($fiyat/$oran);/*kdvsiz hali*/
																}
																else
																{
																	$kdvsizToplamTutar=$fiyat;
																}
																$kdvsizToplamTutar=($kdvsizToplamTutar*$secenekAdet["adet"]);


																if($urunbilgisi[0]["kdvdurum"]==1)
																{
																	/*KDV li fiyat*/

																	if($urunbilgisi[0]["kdvoran"]>9)
																	{
																		$oran="1.".$urunbilgisi[0]["kdvoran"];
																	}
																	else
																	{
																		$oran="1.0".$urunbilgisi[0]["kdvoran"];
																	}
																	$kdvlifiyat=$toplamtutar;
																	$kdvsizfiyat=($toplamtutar/$oran);/*kdvsiz hali*/
																	$kdvtutari=($toplamtutar-$kdvsizfiyat);/*KDV Fiyatı*/
																	if($urunbilgisi[0]["kdvoran"]==18){$sepetkdvtutar18=($sepetkdvtutar18+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==8){$sepetkdvtutar8=($sepetkdvtutar8+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==6){$sepetkdvtutar6=($sepetkdvtutar6+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==1){$sepetkdvtutar1=($sepetkdvtutar1+$kdvtutari);}
																	$sepetkdvharictutar=($sepetkdvharictutar+$kdvsizfiyat);
																	$sepetTutar=($sepetTutar+$kdvlifiyat);
																}
																else
																{
																	/*KDV Hariç Fiyat*/
																	$oran=$urunbilgisi[0]["kdvoran"];
																	$kdvsizfiyat=$toplamtutar;
																	$kdvtutari=(($kdvsizfiyat*$oran)/100);
																	$kdvlifiyat=($kdvsizfiyat+$kdvtutari);
																	if($urunbilgisi[0]["kdvoran"]==18){$sepetkdvtutar18=($sepetkdvtutar18+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==8){$sepetkdvtutar8=($sepetkdvtutar8+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==6){$sepetkdvtutar6=($sepetkdvtutar6+$kdvtutari);}
																	if($urunbilgisi[0]["kdvoran"]==1){$sepetkdvtutar1=($sepetkdvtutar1+$kdvtutari);}
																	$sepetkdvharictutar=($sepetkdvharictutar+$kdvsizfiyat);
																	$sepetTutar=($sepetTutar+$kdvlifiyat);
																} 
																?> 
															</strong>
														</a>
														<a href="<?=SITE?>sepet-sil/<?=$urunbilgisi[0]["ID"]?>/<?=$secenekID?>" class="action"><i class="ti-trash"></i></a>
													</li>  
													<?php
												} 
											}
										}
									}
									else
									{
										?>
										<li>
											<a href="<?=SITE?>urun/<?=$urunbilgisi[0]["seflink"]?>">
												<figure><img src="<?=SITE?>images/urunler/<?=$urunbilgisi[0]["resim"]?>" data-src="<?=SITE?>images/urunler/<?=$urunbilgisi[0]["resim"]?>" alt="" width="50" height="50" class="lazy"></figure>
												<strong><span><?=stripslashes($urunbilgisi[0]["baslik"])?></span><?php
												if(!empty($urunbilgisi[0]["indirimlifiyat"]))
												{
													$fiyat=$urunbilgisi[0]["indirimlifiyat"].".".$urunbilgisi[0]["indirimlikurus"];
												}
												else
												{
													$fiyat=$urunbilgisi[0]["fiyat"].".".$urunbilgisi[0]["kurus"];
												}

												if($urunbilgisi[0]["kdvdurum"]==1)
												{
													if($urunbilgisi[0]["kdvoran"]>9)
													{
														$oran="1.".$urunbilgisi[0]["kdvoran"];
													}
													else
													{
														$oran="1.0".$urunbilgisi[0]["kdvoran"];
													}
													$kdvsizBirimfiyat=($fiyat/$oran);/*kdvsiz hali*/
												}
												else
												{
													$kdvsizBirimfiyat=$fiyat;
												}
												echo number_format($kdvsizBirimfiyat,2,",",".")." TL";
												?>
											</strong>

												<strong>
													<?php
													$toplamtutar=($fiyat*$bilgi["adet"]);
													if($urunbilgisi[0]["kdvdurum"]==1)
													{
														if($urunbilgisi[0]["kdvoran"]>9)
														{
															$oran="1.".$urunbilgisi[0]["kdvoran"];
														}
														else
														{
															$oran="1.0".$urunbilgisi[0]["kdvoran"];
														}
														$kdvsizToplamTutar=($fiyat/$oran);/*kdvsiz hali*/
													}
													else
													{
														$kdvsizToplamTutar=$fiyat;
													}
													$kdvsizToplamTutar=($kdvsizToplamTutar*$bilgi["adet"]);

													if($urunbilgisi[0]["kdvdurum"]==1)
													{
														/*KDV li fiyat*/
														if($urunbilgisi[0]["kdvoran"]>9)
														{
															$oran="1.".$urunbilgisi[0]["kdvoran"];
														}
														else
														{
															$oran="1.0".$urunbilgisi[0]["kdvoran"];
														}
														$kdvlifiyat=$toplamtutar;
														$kdvsizfiyat=($toplamtutar/$oran);/*kdvsiz hali*/
														$kdvtutari=($toplamtutar-$kdvsizfiyat);/*KDV Fiyatı*/
														if($urunbilgisi[0]["kdvoran"]==18){$sepetkdvtutar18=($sepetkdvtutar18+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==8){$sepetkdvtutar8=($sepetkdvtutar8+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==6){$sepetkdvtutar6=($sepetkdvtutar6+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==1){$sepetkdvtutar1=($sepetkdvtutar1+$kdvtutari);}
														$sepetkdvharictutar=($sepetkdvharictutar+$kdvsizfiyat);
														$sepetTutar=($sepetTutar+$kdvlifiyat);
													}
													else
													{
														/*KDV Hariç Fiyat*/
														$oran=$urunbilgisi[0]["kdvoran"];
														$kdvsizfiyat=$toplamtutar;
														$kdvtutari=(($kdvsizfiyat*$oran)/100);
														$kdvlifiyat=($kdvsizfiyat+$kdvtutari);
														if($urunbilgisi[0]["kdvoran"]==18){$sepetkdvtutar18=($sepetkdvtutar18+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==8){$sepetkdvtutar8=($sepetkdvtutar8+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==6){$sepetkdvtutar6=($sepetkdvtutar6+$kdvtutari);}
														if($urunbilgisi[0]["kdvoran"]==1){$sepetkdvtutar1=($sepetkdvtutar1+$kdvtutari);}
														$sepetkdvharictutar=($sepetkdvharictutar+$kdvsizfiyat);
														$sepetTutar=($sepetTutar+$kdvlifiyat);
													} 
													?> 
													</strong>
												</a>
												<a href="<?=SITE?>sepet-sil/<?=$urunbilgisi[0]["ID"]?>" class="action"><i class="ti-trash"></i></a>
											</li>  

											<?php
										} 
									}
								}

								?>
							</ul>



							<div class="total_drop">
								<div class="clearfix"><strong>Toplam Tutar:</strong><span><?=number_format(($sepetTutar),2,",",".")?> TL</span></div>
								<a href="<?=SITE?>sepet" class="btn_1 outline">Sepete Git</a> 
							</div>
						</div>
					</form>
				</div>
				<!-- /dropdown-cart-->
			</li> 
			<?php
		}
		else
		{
			?>
			<li>
				<div class="dropdown dropdown-cart">
					<a href="<?=SITE?>sepet" class="cart_bt"><strong>0</strong></a>
					<div class="dropdown-menu">
						<ul> 
							<li>
								<a href="<?=SITE?>sepet">
									<figure>
										<img src="<?=SITE?>img/bos.png" data-src="<?=SITE?>img/bos.png" alt="" width="50" height="50" class="lazy"></figure>
										<strong><span>Sepetinizde hiç ürün yok.</span></strong> 
									</li>  
								</ul>
								<div class="total_drop"> 
									<a href="<?=SITE?>" class="btn_1 outline">Alışverişe Başla</a> 
								</div>
							</div>
						</div>
						<!-- /dropdown-cart-->
					</li> 
					<?php
				}
				?>